Subject: Re: [Ltru] WG Last Call for draft-ietf-ltru-4645bis-06.txt -- Editorial Comments Only

From: CE Whitehead <[email-masked]>
Date: Tue, 14 Oct 2008 13:42:28 -0400

I have one main editorial comment on the draft  (have not read Doug's update yet):

http://tools.ietf.org/html/draft-ietf-ltru-4645bis-06

* * *

SECTION 1

"[draft-ietf-ltru-4646bis-17] expands on [RFC4646] by adding support
for approximately 7,500 new primary and extended language subtags
   based on [ISO639-3] and [ISO639-5] alpha-3 code elements, and seven
   new region subtags based on [ISO3166-1] exceptionally reserved code
   elements.  This memo describes the process of updating the Registry
   to include these additional subtags, and to make secondary changes to
   the Registry that result from adding the new subtags and from other
   decisions made by the Language Tag Registry Update (LTRU) Working
   Group."

{COMMENT:  I would like to add here at the beginning of this -- if possible -- a bit more information on when you follow ISO 639-3 and when you follow ISO 639-5;  it appear to me from reading the draft (correct me if I am wrong; I may be) that, where ISO639-3 differs from ISO639-5 , it is ISO639-3 that is the basis of the codes in the registry; however codes in ISO 639-5 not listed in ISO639-3 appear in the registry as they are listed in ISO639-5  }

Thanks.

--C. E. Whitehead
[email-masked]

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 14 Oct 2008 13:44:49 -0700

Hi,

> "[draft-ietf-ltru-4646bis-17] expands on [RFC4646] by adding

It is draft-4646bis that has the instructions. This introductory text does not spell out all of the specifics. Nor should it, IMO. And Section 2.2 of this document (4645bis) contains the specifics you appear to be looking for here. 

Note that ISO 639-3 and ISO 639-5 are disjoint. ISO 639-3 contains *only* individual languages (and macrolanguages). ISO 639-5 contains *only* groups/families. There is or should be no overlap between these two. It is ISO 639-2 that contains some of each set of codes.

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of CE Whitehead
> Sent: Tuesday, October 14, 2008 10:42 AM
> To: [email-masked]
> Subject: Re: [Ltru] WG Last Call for draft-ietf-ltru-4645bis-06.txt
> -- Editorial Comments Only
> 
> 
> 
> {COMMENT:  I would like to add here at the beginning of this -- if
> possible -- a bit more information on when you follow ISO 639-3 and
> when you follow ISO 639-5;  it appear to me from reading the draft
> (correct me if I am wrong; I may be) that, where ISO639-3 differs
> from ISO639-5 , it is ISO639-3 that is the basis of the codes in
> the registry; however codes in ISO 639-5 not listed in ISO639-3
> appear in the registry as they are listed in ISO639-5  }
> 
> Thanks.
> 
> --C. E. Whitehead
> [email-masked]
> 
>

---

From: CE Whitehead <[email-masked]>
Date: Wed, 15 Oct 2008 10:26:20 -0400

Thanks for your response, Addison!

However, it is section 2.3 of the draft, "Modified Language Subtags," par. 3, that I was referring to:

". . . Language subtags corresponding to code elements that were identified in [ISO639-3] as representing collection codes, but not listed in [ISO639-5], were also assigned a Scope value of "collection".

I thought a note to this effect might be added to Section I, par. 2, to the end of the text below:

elements. "

If no one else agrees, I'll drop it, but I do think we could have this section a tiny bit more specific.

Thanks. Otherwise, the draft reads fine.

Sincerely,

C. E. Whitehead
[email-masked]

> From: [email-masked]
> To: [email-masked]; [email-masked]
> Date: Tue, 14 Oct 2008 13:44:49 -0700
> Subject: RE: [Ltru] WG Last Call for draft-ietf-ltru-4645bis-06.txt -- Editorial Comments Only
>
> Hi,
>

That explanation makes some sense. However, it was section 2.3 of the draft, "Modified Language Subtags," par. 3, that I was referring to:

". . . Language subtags corresponding to code elements that were identified in [ISO639-3] as representing collection codes, but not listed in [ISO639-5], were also assigned a Scope value of "collection".
"

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 15 Oct 2008 18:41:51 -0600

CE Whitehead <cewcathar at hotmail dot com> wrote:

> ". . . Language subtags corresponding to code elements that were 
> identified in [ISO639-3] as representing collection codes, but not 
> listed in [ISO639-5], were also assigned a Scope value of 
> "collection".
>

I do not agree.  The normative references to both ISO 639-3 and 639-5 
state the full names of these standards, showing that 639-3 encodes 
individual languages while 639-5 encodes "language families and groups." 
Sections 2.2 and 2.3 already explain how 639-3 and 639-5 code elements 
are used to form language subtags.  I don't see any need to elaborate on 
this in the Introduction.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ